<?php

App::uses('AppHelper', 'View/Helper');

class CustomFieldsDataHelper extends AppHelper {

	/**
	 * inject the tab into the form
	 *
	 */
	public function injectAdminForm() {
		//Check that there are custom data fields to add before displaying the tab
		$customDataTabClass = 'custom-field-data';
		$data = $this->_View->data;
		if (empty($data['CustomFieldData'])) {
			$customDataTabClass .= ' hidden';
		}

		echo $this->element(
			'form_tab',
			array(
				'title' => 'Custom Data',
				'tabContent' => $this->element('EvCustomFields.data/entry'),
				'divOptions' => array(
					'class' => $customDataTabClass
				)
			)
		);

		if (! empty($this->_View->viewVars['cfValidationErrors'])) {

			echo $this->Html->scriptBlock("
				$(document).ready(function() {
					$('body').data('cf-validation', '" . $this->_View->viewVars['cfValidationErrors'] . "');
				});
			", array('inline' => false));
		}
	}
}
